Window (Snowpark Java API Reference 1.19.1)

Package com.snowflake.snowpark_java

## Class Window

- java.lang.Object
- - com.snowflake.snowpark_java.Window

-     public final class Window
      extends java.lang.Object

  Contains functions to form WindowSpec.
  Since:
    0.9.0

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static long` | `currentRow()` | Returns a value representing current row.
    `static WindowSpec` | `orderBy​(Column... cols)` | Returns WindowSpec object with order by clause.
    `static WindowSpec` | `partitionBy​(Column... cols)` | Returns WindowSpec object with partition by clause.
    `static WindowSpec` | `rangeBetween​(long start, long end)` | Returns WindowSpec object with range frame clause.
    `static WindowSpec` | `rowsBetween​(long start, long end)` | Returns WindowSpec object with row frame clause.
    `static long` | `unboundedFollowing()` | Returns a value representing unbounded following.
    `static long` | `unboundedPreceding()` | Returns a value representing unbounded preceding.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### partitionBy

          public static WindowSpec partitionBy​(Column... cols)

      Returns WindowSpec object with partition by clause.
      Parameters:
        `cols` - The list of column
      Returns:
        The result WindowSpec
      Since:
        0.9.0

    - #### orderBy

          public static WindowSpec orderBy​(Column... cols)

      Returns WindowSpec object with order by clause.
      Parameters:
        `cols` - The list of column
      Returns:
        The result WindowSpec
      Since:
        0.9.0

    - #### unboundedPreceding

          public static long unboundedPreceding()

      Returns a value representing unbounded preceding.
      Returns:
        A long value
      Since:
        0.9.0

    - #### unboundedFollowing

          public static long unboundedFollowing()

      Returns a value representing unbounded following.
      Returns:
        A long value
      Since:
        0.9.0

    - #### currentRow

          public static long currentRow()

      Returns a value representing current row.
      Returns:
        A long value
      Since:
        0.9.0

    - #### rowsBetween

          public static WindowSpec rowsBetween​(long start,
                                               long end)

      Returns WindowSpec object with row frame clause.
      Parameters:
        `start` - The start position
        `end` - The end position
      Returns:
        The result WindowSpec
      Since:
        0.9.0

    - #### rangeBetween

          public static WindowSpec rangeBetween​(long start,
                                                long end)

      Returns WindowSpec object with range frame clause.
      Parameters:
        `start` - The start position
        `end` - The end position
      Returns:
        The result WindowSpec
      Since:
        0.9.0